System.Web 2.0.0.0 System.Object System.Web.IHttpHandler

The class is an HTTP handler that enables an ASP.NET page or control to load embedded resources, such as client script, images, and data files, from a compiled .NET assembly. For more information on how to embed resources in a .NET assembly, see the documentation for the compiler that you use.

The handler responds to requests made to URLs generated by the method. Before responding to the request, the handler ensures that the resource should be available directly over the Web.

The handler responds to requests of the form

`WebResource.axd?d=<encrypted identifier>&t=<time stamp value>`

where <encryped identifier> uniquely identifies the requested Web resource and <time stamp value> is the time stamp for the requested assembly so that changes to the assembly can be detected and the cached resource invalidated.

This class supports the ASP.NET infrastructure and is not intended to be used directly from your code.

Provides an HTTP handler used to load embedded resources from assemblies. This class cannot be inherited.

- Constructor
  To be added.

  Initializes a new instance of the class. This constructor supports the ASP.NET infrastructure and is not intended to be used directly from your code.

  2.0.0.0
- Property
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit-interface member implementation. It can be used only when the instance is cast to an interface.

  Gets a value that indicates whether another request can reuse the instance.

- Method
  2.0.0.0
  System.Void ``

  This member is an explicit-interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The context of the request.